import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRChannelClusterPageTokenStruct } from "./MTRChannelClusterPageTokenStruct.js";
export declare class _MTRChannelClusterChannelPagingStruct extends _NSObject {
    static alloc(): _MTRChannelClusterChannelPagingStruct;
    static new(): _MTRChannelClusterChannelPagingStruct;
    init(): _MTRChannelClusterChannelPagingStruct;
    previousToken(): _MTRChannelClusterPageTokenStruct | null;
    setPreviousToken$(value: _MTRChannelClusterPageTokenStruct | null): void;
    nextToken(): _MTRChannelClusterPageTokenStruct | null;
    setNextToken$(value: _MTRChannelClusterPageTokenStruct | null): void;
}
export interface _MTRChannelClusterChannelPagingStruct extends _NSCopying {
}
